Update Number Range
curl --request PUT \
--url https://api.jtl-cloud.com/erp/configuration/numberRanges/{numberRangeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Prefix": "",
"CurrentNumber": 70,
"Suffix": "-1",
"CompanyId": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/configuration/numberRanges/{numberRangeId}"
payload = {
"Prefix": "",
"CurrentNumber": 70,
"Suffix": "-1",
"CompanyId": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({Prefix: '', CurrentNumber: 70, Suffix: '-1', CompanyId: 123})
};
fetch('https://api.jtl-cloud.com/erp/configuration/numberRanges/{numberRangeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Name": "Rechnung",
"Description": "Hierbei handelt es sich um den Nummernkreis für Rechnungen",
"Prefix": "",
"CurrentNumber": 70,
"Suffix": "-1",
"MaxLength": 100,
"ExampleNumber": "RE2025470-1",
"IsDeletable": false,
"CompanyId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Configuration
Update Number Range
Updates an Existing NumberRange
PUT
/
configuration
/
numberRanges
/
{numberRangeId}
Update Number Range
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Body
application/json
The relevant Information of the NumberRange
Response
The changed NumberRange
A Individuel NumberRange
The Name of the Number Range
Example:
"Rechnung"
The Name of the Number Range
Example:
"Hierbei handelt es sich um den Nummernkreis für Rechnungen"
The Number Prefix for the NumberRange
Example:
""
The Current Number of the NumberRange
Example:
70
The Number Suffix for the NumberRange
Example:
"-1"
The Max Length of an Number Range
Example:
100
The Example of a Number
Example:
"RE2025470-1"
Can the Number Range be deleted
Example:
false
Was this page helpful?